import { IMakeErr, IError } from './types';
/**
 * @function makeErr
 *
 * Creates an error response following the RFC 7807 pattern.
 *
 * @param code - HTTP status code 4xx to 5xx
 * @param type - URL for a document describing the error condition
 * @param detail - Legible error description
 * @param instance - URI exclusive for or specific error
 * @param title - Short and descriptive information
 */
declare const makeErr: ({ code, type, title, detail, instance, }: IMakeErr) => IError;
export default makeErr;
